summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-03-09 15:35:54 +0100
committerHolger Levsen <holger@layer-acht.org>2016-03-09 15:35:54 +0100
commit71d49151ea2ccfbcaf9d88a3a3bd9a77fd553bd9 (patch)
tree4e5fb207f9d4785c9ce1e3ec308554e3aceaf727 /bin
parent287f0dcf0a63b64d065bccb95fbdaaaa7a77d405 (diff)
downloadjenkins.debian.net-71d49151ea2ccfbcaf9d88a3a3bd9a77fd553bd9.tar.xz
let diffoscope test fail by default
Diffstat (limited to 'bin')
-rwxr-xr-xbin/diffoscope_pypi_test.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/bin/diffoscope_pypi_test.sh b/bin/diffoscope_pypi_test.sh
index 288e165c..655fb4f6 100755
--- a/bin/diffoscope_pypi_test.sh
+++ b/bin/diffoscope_pypi_test.sh
@@ -23,11 +23,17 @@ DIFFOSCOPE_IN_PYPI=$(grep "<title>" $TMPPYPI | cut -d ">" -f2- | cut -d ":" -f1
echo
echo
if [ "$DIFFOSCOPE_IN_DEBIAN" = "$DIFFOSCOPE_IN_PYPI" ] ; then
- echo "Yay. diffoscope in Debian has the same version as on PyPI."
+ echo "Yay. diffoscope in Debian has the same version as on PyPI: $DIFFOSCOPE_IN_DEBIAN"
elif dpkg --compare-versions "$DIFFOSCOPE_IN_DEBIAN" gt "$DIFFOSCOPE_IN_PYPI" ; then
echo "Fail: diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
echo "Fail: diffoscope in PyPI: $DIFFOSCOPE_IN_PYPI"
exit 1
+else
+ echo "diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
+ echo "diffoscope in PyPI: $DIFFOSCOPE_IN_PYPI"
+ echo
+ echo "Failure is the default action…"
+ exit 1
fi
# the end